Bug 848142 - Review Request: maliit-plugins - Input method plugins
Review Request: maliit-plugins - Input method plugins
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Drake
Fedora Extras Quality Assurance
:
Depends On: 848139
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-14 14:18 EDT by Peter Robinson
Modified: 2012-09-27 10:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-27 10:56:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dsd: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-08-14 14:18:29 EDT
spec: http://pbrobinson.fedorapeople.org/maliit-plugins.spec
srpm: http://pbrobinson.fedorapeople.org/maliit-plugins-0.92.4-1.fc17.src.rpm

%description
Maliit provides a flexible and cross-platform input method plugins. It has a
plugin-based client-server architecture where applications act as clients and
communicate with the Maliit server via input context plugins. The communication
link currently uses D-Bus.
Comment 1 Daniel Drake 2012-09-21 18:19:00 EDT
rpmlint:

maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/KeyboardUiConstants.js
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/EnglishPortrait.qml
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/DevStub.js
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/meegotouch-keyboard-function-key.svg
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/FunctionKey.qml
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/meegotouch-keyboard-key.svg
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/RussianPortrait.qml
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/Popper.qml
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/popper.svg
maliit-plugins.i686: E: script-without-shebang /usr/share/maliit/plugins/org/nemomobile/LandscapeVKB.qml
maliit-plugins.i686: W: no-manual-page-for-binary maliit-keyboard-viewer
maliit-plugins.i686: W: no-manual-page-for-binary maliit-keyboard-benchmark
3 packages and 1 specfiles checked; 10 errors, 2 warnings.

I think you should chmod those "scripts" to 644 because they aren't executable items.

License: This looks like a BSD-licensed codebase to me.

Will continue the review tomorrow.
Comment 2 Daniel Drake 2012-09-22 12:13:28 EDT
Completed the review, can't find any more issues. Looks good to me, provided that the above 2 trivial changes are made.
Comment 3 Peter Robinson 2012-09-26 11:35:50 EDT
Will fix the comments above on commit. Thanks for the review

New Package GIT Request
=======================
Package Name: maliit-plugins
Short Description: Input method plugins
Owners: pbrobinson
Branches: F-18 F-17
InitialCC:
Comment 4 Gwyn Ciesla 2012-09-26 12:19:40 EDT
Git done (by process-git-requests).
Comment 5 Peter Robinson 2012-09-27 10:56:36 EDT
Imported and built in rawhide

Note You need to log in before you can comment on or make changes to this bug.